Bug 1114161

Summary: Catch up gtk3
Product: [Fedora] Fedora Reporter: poma <pomidorabelisima>
Component: greybirdAssignee: Matthias Clasen <mclasen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 21CC: awilliam, bazanluis20, berrange, ccecchi, cwickert, dcbw, gscrivan, jklimes, jpopelka, kalevlember, kevin, mclasen, nonamedotc, pomidorabelisima, twoerner
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: greybird-1.4-3.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-15 09:14:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Catch up gtk3
none
Greybird - changes related to gtk+-3.13.[3-7]
none
Upstream fix for checkboxes and radios in gtk3.14 none

Description poma 2014-06-28 01:01:19 UTC
Not in such a ratio, but is also evident from the 'network-manager-applet' & 'firewall applet viewpoint'.

A video is worth a thousand picture.
http://goo.gl/rRGp4W

Comment 1 Giuseppe Scrivano 2014-06-28 17:42:45 UTC
what window manager are you using?

Comment 2 poma 2014-06-28 20:35:10 UTC
 OK <= gtk3-3.13.2-5.fc21
BKN >= gtk3-3.13.3-1.fc21


$ rpm -q xfwm4 && xfwm4 --version
xfwm4-4.10.1-3.fc21.i686
	This is xfwm4 version 4.10.1 (revision 3918e6b) for Xfce 4.10
	Released under the terms of the GNU General Public License.
	Compiled against GTK+-2.24.23, using GTK+-2.24.23.

	Build configuration and supported features:
	- Startup notification support:                 Yes
	- XSync support:                                Yes
	- Render support:                               Yes
	- Xrandr support:                               Yes
	- Embedded compositor:                          Yes
	- KDE systray proxy (deprecated):               No

$ rpm -q xfwm4 && xfwm4 --version
xfwm4-4.11.1-1.fc21.x86_64
	This is xfwm4 version 4.11.1 (revision UNKNOWN) for Xfce 4.10
	Released under the terms of the GNU General Public License.
	Compiled against GTK+-2.24.23, using GTK+-2.24.23.

	Build configuration and supported features:
	- Startup notification support:                 Yes
	- XSync support:                                Yes
	- Render support:                               Yes
	- Xrandr support:                               Yes
	- Embedded compositor:                          Yes
	- KDE systray proxy (deprecated):               No

Comment 3 poma 2014-06-29 13:41:05 UTC
Lowering the panel a couple of pixels, menus are displayed in full!?
'xfce4-panel-descent.webm'
This is just an example to better understand what is happening, do not take this as a solution!

Comment 4 poma 2014-06-29 19:22:02 UTC
As well as for 'xfce4-panel-descent.webm', 
the same applies to 'xfce4-panel-borderspace.webm'.

Comment 5 poma 2014-07-08 12:14:42 UTC
Do you need any more information regarding?

Comment 6 Matthias Clasen 2014-07-09 10:19:53 UTC
no

Comment 7 poma 2014-07-22 07:50:20 UTC
Downgrade to workin gtk3 and stay there.
Simple.

Comment 8 poma 2014-07-29 23:52:45 UTC
Somehow I doubt that anything will change for the better in 'gtk3' with regard to this issue, therefore switching component.
But there is hope. :)

Comment 9 poma 2014-07-30 00:02:34 UTC
Somehow I doubt that anything will change for the better in 'gtk3' with regard to this issue, therefore switching component.
There is hope.
But before any further discussion I would ask Giuseppe, with regard to your question, do you know anything about this issue, as it could help to solve it?

Comment 10 Kevin Fenzi 2014-07-30 22:25:03 UTC
The video from comment 1 seems to be gone. 

Can you describe in actual words what this bug is?

I'm running Xfce in rawhide here, and the firewalld and nm-applets look fine in my system tray. What size and orentation is your system tray? 

Does the problem persist on a newly created user?

Comment 11 poma 2014-07-31 14:30:34 UTC
http://lmgtfy.com/?q=client+side+decoration

https://bugzilla.xfce.org/show_bug.cgi?id=10631

http://ftp.gnome.org/pub/gnome/sources/gtk+/3.13/gtk+-3.13.3.news
* Theming:
 - Use client-side shadows for menus and tooltips
* Bugs fixed: 
 731187	Use csd shadows for menus

For the Xfce this would mean "Bugs produced". :)

$ xfconf-query -c xfwm4 -p /general/use_compositing 
true
$ xfconf-query -c xsettings -p /Net/ThemeName
Greybird

The Shimmer Project - Desktop Suites
Initial support for client side decorations
- Albatross("CSD" not yet in Fedora)
  https://github.com/shimmerproject/Albatross/commit/7f4072f
- Greybird
  https://github.com/shimmerproject/Greybird/commit/d7acf73
- Bluebird
  https://github.com/shimmerproject/Bluebird/commit/259816a

This is how I solved it:
~/.themes/Greybird/gtk-3.0/gtk-widgets.css
...
.window-frame {
    border-style: none;
    border-radius: 4px 4px 0 0;
    box-shadow: 0 3px 7px alpha(black, 0.7),
                0 0 0 1px alpha(black);  <-
...
.window-frame:backdrop {
    box-shadow: 0 3px 5px alpha(black, 0.5),
                0 0 0 1px alpha(black);  <-
}

And what is really needed is a comment on the whole "window-frame" section.
In this way, the problem with the CSD is isolated from the xfce4-panel libsystray.so, 
i.e. "systray" - notification area where notification icons appear.


Capisci, caro fratello.

Comment 12 Adam Williamson 2014-07-31 16:00:36 UTC
poma: sorry, but three of us are staring at that last post and it seems to contain words in approximately the right order, but nothing that describes what the actual bug you're seeing is. could you perhaps try again?

Comment 13 poma 2014-07-31 22:44:42 UTC
http://goo.gl/UUkscD

Comment 14 Kevin Fenzi 2014-08-01 17:47:23 UTC
ok, and do you only see this behavior when you are using greybird?

Do any other themes show it?

Comment 15 poma 2014-08-01 20:22:21 UTC
These are installed and tested, 
$ grep -R -I -m 1 CSD /usr/share/themes | sort
/usr/share/themes/BlackMATE/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/Bluebird/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/BlueMenta/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/Blue-Submarine/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/ContrastHigh/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/DeLorean-Dark/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/GreenLaguna/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/Green-Submarine/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/Greybird/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/Menta/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/Zukitwo/gtk-3.0/gtk-widgets.css: * CSD *
/usr/share/themes/Zukiwi/gtk-3.0/gtk-widgets.css: * CSD *

also, 
- Albatross("CSD" not yet in Fedora)
- Adwaita(somewhere over the rainbow)

Comment 16 Mukundan Ragavan 2014-08-03 03:28:51 UTC
I am seeing this behavior with Adwaita as well ... Hmmm....

Comment 17 Kevin Fenzi 2014-08-06 12:25:33 UTC
Yeah, I don't see it with albatross. So, we need to either update all the affected themes, or get gtk3 to adjust back...

Comment 18 poma 2014-09-02 14:53:55 UTC
Waiting for Godot, again? :)
Happy campers.

Comment 20 Matthias Clasen 2014-09-02 21:04:25 UTC
You keep adding unstable links to google drive to this. Frankly, its a waste of everybody's time to keep clicking just to find the one that still works. Please attach your screenshots.

In any case, check and radio boxes have changed their behavior slightly, so themes will need a small adjustment: the checked state is now called checked, no longer active.
This is not a gratitious change, but allows use to fix actual rendering problems with such widgets in a selected context (e.g a selected listbox row).
It is also what the web does, so it must be right.

Comment 21 poma 2014-09-08 00:39:11 UTC
Created attachment 935217 [details]
Catch up gtk3

Comment 22 poma 2014-09-08 00:50:26 UTC
(In reply to Matthias Clasen from comment #20)
...
> In any case, check and radio boxes have changed their behavior slightly, so
> themes will need a small adjustment: the checked state is now called
> checked, no longer active.
...

Well at least thanks for the tip.

Fenzi, please check patched theme and if it is a valid I can apply for Albatross & Bluebird.
Adam, you could contact maintainers of other mentioned themes.

Let's finish with this circus! :)

Comment 23 poma 2014-09-08 10:48:51 UTC
Albatross - update to 1.7.3 release & catch up gtk3
https://bugzilla.redhat.com/show_bug.cgi?id=1139187

Bluebird - update to 1.2 & catch up gtk3
https://bugzilla.redhat.com/show_bug.cgi?id=1139190

Comment 24 Mukundan Ragavan 2014-09-09 02:35:18 UTC
Poma - I saw your email on devel@ with patches. With regards to greybird, I can update the patches once the upstream pushes the update ... unless Kevin does it earlier.

Comment 25 poma 2014-09-09 07:49:17 UTC
It's OK man, thanks.

Comment 26 poma 2014-09-10 20:46:23 UTC
Created attachment 936321 [details]
Greybird - changes related to gtk+-3.13.[3-7]

Comment 27 Kevin Fenzi 2014-09-10 23:42:04 UTC
Why are you closing these bugs deferred? You don't want them acted on?

Comment 28 poma 2014-09-11 12:47:41 UTC
I'm waiting confirmation upstream.
Until then, the bar is closed! :)

Comment 29 poma 2014-09-15 00:35:02 UTC
Fenzi, you've got the green light.

Comment 30 Mukundan Ragavan 2014-10-02 23:29:17 UTC
Ok, now I have very confused. I thought you sent some patches for greybird theme upstream.

Further, xfce-4.11.1 is not present in Fedora repos yet. So, changing the title to reflect something not in the repos sounds odd to me.

Could you please explain what you are doing here? Thanks!

Comment 31 poma 2014-10-02 23:33:13 UTC
Left click on the icon - menu doesn't stay open, must hold down the left mice button. 
gtk3-3.14.1 bug or feature, again!?

Comment 32 poma 2014-10-02 23:37:14 UTC
This is the epic battle - GNOME(Goliath) vs Xfce(David).

Comment 33 poma 2014-10-03 09:00:36 UTC
(In reply to Mukundan Ragavan from comment #30)
> Ok, now I have very confused. I thought you sent some patches for greybird
> theme upstream.

I've provided a patch, but you've decided to wait upstream.

"Poma - I saw your email on devel@ with patches. With regards to greybird, I can update the patches once the upstream pushes the update ... unless Kevin does it earlier."
Mukundan Ragavan 2014-09-08 22:35:18 EDT

Your confusion, only you can explain. :)

> Further, xfce-4.11.1 is not present in Fedora repos yet. So, changing the
> title to reflect something not in the repos sounds odd to me.

When testing I am trying to do with the latest possible version, regardless of whether it is present or not in stock.
Besides this bug applies to the "present" version also.

Ref.
$ rpm -qa garcon\* libxfce4ui\* libxfce4util\* xfce4-about xfce4-appfinder xfce4-dev-tools xfce4-panel\* xfce4-power-manager xfce4-session\* xfce4-session-engines xfce4-settings xfdesktop xfwm4 gtk3\* | sort
garcon-0.3.0-2.fc21.x86_64
garcon-devel-0.3.0-2.fc21.x86_64
gtk3-3.14.1-1.fc21.x86_64
gtk3-devel-3.14.1-1.fc21.x86_64
libxfce4ui-4.11.1-2.fc21.x86_64
libxfce4ui-devel-4.11.1-2.fc21.x86_64
libxfce4util-4.11.0-2.fc21.x86_64
libxfce4util-devel-4.11.0-2.fc21.x86_64
xfce4-about-4.11.1-2.fc21.x86_64
xfce4-appfinder-4.11.0-2.fc21.x86_64
xfce4-dev-tools-4.11.0-2.fc21.x86_64
xfce4-panel-4.11.1-2.fc21.x86_64
xfce4-panel-devel-4.11.1-2.fc21.x86_64
xfce4-power-manager-1.3.2-2.fc21.x86_64
xfce4-session-4.11.0-2.fc21.x86_64
xfce4-session-devel-4.11.0-2.fc21.x86_64
xfce4-session-engines-4.11.0-2.fc21.x86_64
xfce4-settings-4.11.3-2.fc21.x86_64
xfdesktop-4.11.7-2.fc21.x86_64
xfwm4-4.11.2-2.fc21.x86_64

$ rpm -qa garcon\* libxfce4ui\* libxfce4util\* xfce4-about xfce4-appfinder xfce4-dev-tools xfce4-panel\* xfce4-power-manager xfce4-session\* xfce4-session-engines xfce4-settings xfdesktop xfwm4 gtk3\* | sort
garcon-0.2.1-5.fc21.i686
gtk3-3.14.1-1.fc21.i686
gtk3-devel-3.14.1-1.fc21.i686
libxfce4ui-4.10.0-13.fc21.i686
libxfce4util-4.10.1-4.fc21.i686
xfce4-about-4.10.0-13.fc21.i686
xfce4-appfinder-4.10.1-4.fc21.i686
xfce4-panel-4.10.1-6.fc21.i686
xfce4-power-manager-1.4.1-3.fc21.i686
xfce4-session-4.10.1-6.fc21.i686
xfce4-session-engines-4.10.1-6.fc21.i686
xfce4-settings-4.10.1-5.fc21.i686
xfdesktop-4.10.2-4.fc21.i686
xfwm4-4.10.1-4.fc21.i686

Comment 34 Kevin Fenzi 2014-10-03 14:18:06 UTC
(In reply to poma from comment #33)
> (In reply to Mukundan Ragavan from comment #30)
> > Ok, now I have very confused. I thought you sent some patches for greybird
> > theme upstream.
> 
> I've provided a patch, but you've decided to wait upstream.

I was hoping at least upstream would say that your patch was the right approach. 

Did they reply to you on the patches? 

> "Poma - I saw your email on devel@ with patches. With regards to greybird, I
> can update the patches once the upstream pushes the update ... unless Kevin
> does it earlier."
> Mukundan Ragavan 2014-09-08 22:35:18 EDT
> 
> Your confusion, only you can explain. :)

Part of confusion is your tweaking of bugs. Closing. Opening. Changing titles. This all becomes noise that makes it hard to track whats going on.

Comment 35 poma 2014-10-03 17:06:29 UTC
My recommendation is to immediately applying my patch, after the themes redesign  such as Sahoo mentioned, switch to them and that's it.
Do not delay this any more.

Where is Clasen to explain what's with this new bug?

Comment 36 Kevin Fenzi 2014-10-03 17:50:02 UTC
ok. I will look at applying those tomorrow (unless nonamedotc beats me to it). 

IMHO there was no need to cc the devel list on your discussion with upstream, but ok. 

New bug? If you have a new bug, please file it as a new bug, don't add more to this report. Thanks.

Comment 37 poma 2014-10-03 18:30:03 UTC
Sure, do not forget to close when finished.


A new bug:
- gtk3-3.14.1 - irregular appearance - firewall-applet systray icons menu
  https://bugzilla.redhat.com/show_bug.cgi?id=1149334

- gtk3-3.14.1 - irregular appearance - nm-applet systray icons menu
  https://bugzilla.redhat.com/show_bug.cgi?id=1149335

Comment 38 Fedora Update System 2014-10-08 15:24:04 UTC
greybird-1.4-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/greybird-1.4-2.fc21

Comment 39 Fedora Update System 2014-10-10 16:01:51 UTC
Package greybird-1.4-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing greybird-1.4-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12492/greybird-1.4-2.fc21
then log in and leave karma (feedback).

Comment 40 Fedora Update System 2014-10-12 05:03:42 UTC
greybird-1.4-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 41 poma 2014-11-06 19:24:43 UTC
Created attachment 954603 [details]
Upstream fix for checkboxes and radios in gtk3.14


- Upstream fix for checkboxes and radios in gtk3.14
  https://github.com/shimmerproject/Greybird/commit/6f8013c

- The "shadow" is re-enabled, the full size of the app menu in the system tray
  is resolved upstream - gtkmenu: fix unnecessary scroll buttons gtk-3-14
  https://git.gnome.org/browse/gtk+/commit/?h=gtk-3-14&id=695ff38

  The same applies to the Shimmer Project Desktop Suites for Xfce as a whole,
  i.e. Greybird, Bluebird and Albatross.

  With these two corrections bugs #1114161, #1139190 and #1139187
  are solved completely.

Comment 42 poma 2014-11-07 07:35:28 UTC
Wolfgang, uncomment to restore the "shadow" functionality:

<THEME>/gtk-3.0/gtk-widgets.css
...
.window-frame[:backdrop] {

- Update to the latest git commit d832073 2014-07-20 & catch up gtk3
  mate-themes
  https://bugzilla.redhat.com/show_bug.cgi?id=1140423

                          window-frame
                          box-shadow:
                          enabled -> uncomment!
  - mate-themes:
  BlackMATE               +
  ContrastHigh            +
  GreenLaguna             +

- Update to the latest git commit f41b574 2014-08-10 & catch up gtk3
  mate-themes-extras
  https://bugzilla.redhat.com/show_bug.cgi?id=1140645

                          window-frame
                          box-shadow:
                          enabled -> uncomment!
  - mate-themes-extras:
  Blue-Submarine          +
  DeLorean-Dark           +
  GnomishBeige            +
  Green-Submarine         +

Comment 43 poma 2014-11-07 07:39:16 UTC
Among others, 
fix for the "shadow" is going to be in a new upstream gtk3-3.14 release next week, and you'll do Fedora builds then as well, right Kalev?

https://git.gnome.org/browse/gtk+/log/?h=gtk-3-14
  gtkmenu: fix unnecessary scroll buttonsgtk-3-14	Alberts Muktupāvels
  ...

Comment 44 Wolfgang Ulbrich 2014-11-07 11:19:39 UTC
poma, already done for mate upstream.

Comment 45 poma 2014-11-08 12:01:20 UTC
(In reply to Wolfgang Ulbrich from comment #44)
> poma, already done for mate upstream.

Magnifico!

Comment 46 poma 2014-11-08 12:05:15 UTC
All three themes are ready, 

- Greybird here

- Bluebird
  https://bugzilla.redhat.com/show_bug.cgi?id=1139190

- Albatross
  https://bugzilla.redhat.com/show_bug.cgi?id=1139187


Pizza pronto!

Comment 47 Fedora Update System 2014-11-09 20:40:37 UTC
greybird-1.4-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/greybird-1.4-3.fc21

Comment 48 Fedora Update System 2014-11-10 18:29:52 UTC
Package greybird-1.4-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing greybird-1.4-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14706/greybird-1.4-3.fc21
then log in and leave karma (feedback).

Comment 49 Fedora Update System 2014-11-15 09:14:58 UTC
greybird-1.4-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.